/* Projetos */
.projetos {
    background-color: #000;
    padding: 4rem 2rem;
    text-align: center;
    height: 45em;
}

.projetos-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 2fr));
    gap: 2rem;
    margin-top: 2rem;
}

.projeto-card {
    position: relative;
    overflow: hidden;
    margin-top: 5em;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.projeto-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.projeto-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7); /* Fundo escuro ao passar o mouse */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0; /* Inicialmente invisível */
    transition: opacity 0.3s ease;
}

.projeto-card:hover .projeto-overlay {
    opacity: 1; /* Torna o overlay visível ao passar o mouse */
}

.projeto-overlay h3 {
    font-size: 1.5rem;
    color: #8a2be2; /* Roxo quase azul */
    margin-bottom: 0.5rem;
}

.projeto-overlay p {
    font-size: 1rem;
    color: #fff;
    text-align: center;
    padding: 0 1rem;
}

.projeto-card:hover {
    cursor: pointer;
    transform: scale(1.05); /* Efeito de zoom ao passar o mouse */
    box-shadow: 0 8px 16px rgba(138, 43, 226, 0.4); /* Sombra roxa */
}

.projeto-card p:hover {
    cursor: pointer;
    color: #fff;
}